RPC to talk with the status service of the conodes

### Hierarchy

- StatusRPC

## Index

### Constructors

- constructor

### Properties

- conn
- timeout
- serviceName

### Methods

- getStatus
- setTimeout

## Constructors

### constructor

- new StatusRPC(roster: Roster): StatusRPC

- - Defined in src/status/status-rpc.ts:12

  #### Parameters

  - ##### roster: Roster

  #### Returns StatusRPC

## Properties

### Private conn

conn: WebSocketConnection[]

- Defined in src/status/status-rpc.ts:11

### Private timeout

timeout: number

- Defined in src/status/status-rpc.ts:12

### Static serviceName

serviceName: string = "Status"

- Defined in src/status/status-rpc.ts:9

## Methods

### getStatus

- getStatus(index?: number): Promise<StatusResponse>

- - Defined in src/status/status-rpc.ts:33

  Fetch the status of the server at the given index

  #### Parameters

  - ##### Default value index: number = 0

    Index of the server identity

  #### Returns Promise<StatusResponse>

  a promise that resolves with the status response

### setTimeout

- setTimeout(value: number): void

- - Defined in src/status/status-rpc.ts:24

  Set a new timeout value for the next requests

  #### Parameters

  - ##### value: number

    Timeout in ms

  #### Returns void

Generated using TypeDoc